Docs Rizler

V1 Agents

V1 Create Agent

POSThttps://app.rizzdial.com/api/ai/agent/v1/create
V1 Create Agent
curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v1/create \
  --header 'Authorization: Bearer <token>' \
  --header 'Content-Type: application/json' \
  --data '{
  "agent_name": "value",
  "general_prompt": "value",
  "weebhook_endpoint": "value",
  "weebhook_endpoint_method": "GET"
}'
{
  "data": {
    "agent_id": "agent_123",
    "agent_name": "Reception",
    "agent_version": "V1"
  },
  "message": "Agent created successfully",
  "success": true
}

V1 Create Agent#

Creates a V1 agent. agent_name and general_prompt are optional. The webhook field name is weebhook_endpoint. A package that has used its included agents may charge the extra-agent price.

Authorizationstringheaderrequired

Bearer token in the format: Bearer {access_token}

agent_namestringbody

max 255. may be null

general_promptstringbody

may be null

weebhook_endpointstringbody

may be null

weebhook_endpoint_methodstringbody

One of: GET, POST. may be null

curl --request POST \
  --url https://app.rizzdial.com/api/ai/agent/v1/create \
  --header 'Authorization: Bearer {{bearer_token}}' \
  --header 'Content-Type: application/json' \
  --data '{"agent_name":"value","general_prompt":"value","weebhook_endpoint":"value","weebhook_endpoint_method":"GET"}'
successboolean

true when the call succeeds. Some list responses use status: success instead

dataobject

The saved record, or the list of records